#ifndef ANALYSIS_H
#define ANALYSIS_H

#include "my_mesh.h"

bool check_faces_are_triangles(MyMesh &mesh);
bool check_faces_arent_lonely(MyMesh &mesh);
bool check_vertices_arent_lonely(MyMesh &mesh);
bool check_edges_arent_lonely(const char *path);
float face_area(MyMesh &mesh, const MyMesh::FaceHandle &face);
float total_area(MyMesh &mesh);
void stats_surface_area(MyMesh &mesh);
void stats_n_neighbors(MyMesh &mesh);
void stats_normal_deviation(MyMesh &mesh);
void stats_dihedral_angles(MyMesh &mesh);

#endif
